=== debian/changelog ===
scratchbox2 (2.0-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/control
    - (Vcs-*): Remove obsolete XS-* prefix.
    - (Build-Depends): Add hardening-wrapper because the option syntax of
      /usr/bin/ld.gold.real and GNU ld(1) differ in option --retain-symbols-file
  * debian/patches
    - (Number 10): Add patch to fix Gcc 4.4 error: conflicting type
      for scandir. Patch thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net>.
      (RC bug FTBFS serious; Closes: #552893).
    - (Number 20): Fix binutils gold ld(1) calls.
    - (Number 30): Fix errors: implicit declaration of functions.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 13 Apr 2010 15:10:17 +0300

scratchbox2 (2.0-3) unstable; urgency=low

  * fix simple mode with emdebian crosscompilers
  * Add replaces to libsb2 -> sb2, closes: #526060
  * make sh script bash script, closes: #530185

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 22 Jul 2009 23:32:43 +0300

scratchbox2 (2.0-2) unstable; urgency=low

  * Sync with maemo-sdk+ release
  * Add "accel" mode
  * fix realpath

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 19 Jul 2009 14:36:57 +0300

scratchbox2 (2.0-1) unstable; urgency=low

  * scratchbox 2.0 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 01 Apr 2009 00:17:49 +0300

scratchbox2 (1.99.0.31-2) unstable; urgency=low

  * split libsb2 to a separate package

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Feb 2009 15:22:26 +0200

scratchbox2 (1.99.0.31-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Feb 2009 14:39:35 +0200

scratchbox2 (1.99.0.27-1) unstable; urgency=low

  * New upstream version
  * Simplify build rules

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 20 Oct 2008 20:23:05 +0300

scratchbox2 (1.99.0.24-2) unstable; urgency=low

  * Save the world from masturbating monkeys (closes: #496409)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 25 Aug 2008 23:04:49 +0300

scratchbox2 (1.99.0.24-1) unstable; urgency=low

  [ Lauri Aarnio ]
  * Bugfix: LD_PRELOAD in now set by sb2-monitor, not by the "sb2"
    script
  * Updated to use newer libtool version (1.5.26)
  * Important bugfix to libpthread interface
  * Fix to fts_open()
  * Important bugfix: Renaming of symlinks
  * Refactored sb2's dpkg-checkbuilddeps wrapper.
  * sb2-monitor now appends libsb2 to an existing LD_PRELOAD variable
  * sb_decolonize_path() bugfix: slashdot makes sense now
  * Updates to path mapping code and mapping modes
  * oops; fixed typos in mapping rules.

  [ Lauri Leukkunen ]
  * increase version numbers to .24
  * debian packaging is tedious

  [ Riku Voipio ]
  * Make multilib target use install target
  * sb2-show needs libsb2
  * Update to latest policy (use Homepage: tag)
  * Depend on "make clean" for cleanup
  * upload to debian

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 18 Mar 2008 01:00:34 +0200

scratchbox2 (1.99.0.24) unstable; urgency=low
  * fill me up
 -- Lauri Leukkunen <lle@rahina.org>  Fri, 14 Mar 2008 07:48:35 +0200

scratchbox2 (1.99.0.23-1) unstable; urgency=low

  [ Janne J Kataja ]
  * Bashism detected! Changed shell in utils/dpkg-checkbuilddeps

  [ Lauri Aarnio ]
  * bugfix: fixed typos in macro names
  * Added log post-processing tool and improved logging messages.
  * Introduce SB1 bug emulation mode
  * Modified interface generator to create SB_LOG calls at returns.
  * A fix for host-gcc parameter generation
  * Bugfix: added wrapper for eaccess()
  * Introduced R/O mapping mode.
  * Logging enhancements: show changes made to argv+envp
  * sb2-init improvements
  * Added "replace_by" action to path mapping engine
  * Fixed a critical path mapping bug
  * Minor bugfix (sb2-build-libtool)
  * Added a SB1 compatibility mapping rule to maemo mode
  * Print statistics after sb2 finishes (and/or error+warning messages)

  [ Lauri Leukkunen ]
  * Split configure step from building for multilib
  * Fix tool distro support
  * Introduce sb2-show, cleanup some warnings
  * Make exported.h generated by gen-interface.pl to be a proper header
    file
  * Fix -Wno-poison-system-directories check
  * Implement arguments for CPUTRANSPARENCY_METHOD
  * replace iswhitespace() with standard isspace()
  * Optimize mappings by adding simple prefix check
  * Make rest of the mapping modes work with mapping.lua changes
  * Separate gcc argv mangling rule generation to argvenvp_gcc.lua
  * gitignore utils/sb2-show
  * Simplify path mapping code
  * sb2-init allows specifying entire cputransparency command
  * Map /usr/X11R6/lib in maemo mode
  * Fix multilib compilation
  * map /usr/X11R6/include to target root in maemo mode

  [ Riku Voipio ]
  * Add IA64 and powerpc host support
  * changelog update
  * Clean up sb2 script and speed up running sb2 script
  * Add scripts to use the qemu-sbrsh bridge
  * New upstream version, closes: 468156

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 03 Mar 2008 11:44:50 +0200

scratchbox2 (1.99.0.22) unstable; urgency=low

  * New upstream version
  * Fix building on 386, closes: #456352
  * Fix amd64 multilib install location, closes: #456528

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 18 Dec 2007 23:27:48 +0200

scratchbox2 (1.99.0.20) unstable; urgency=low

  * New upstream version
  * Replaced hardcoded gcc/ld wrapper with generic lua-based
    argument remapper. Tthus stopped using c++, closes: #455127
  * Tool distro support
  * sbrsh support
  * various fixes and cleanups

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 14 Dec 2007 10:36:33 +0200
