=== utils/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 		-I$(SRCDIR)/include
 
 $(D)/sb2-show.o: preload/exported.h
-$(D)/sb2-show: preload/libsb2.$(SHLIBEXT) $(D)/sb2-show.o
+$(D)/sb2-show: $(D)/sb2-show.o
 	$(MKOUTPUTDIR)
 	$(P)LD
-	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl
 
 
 $(D)/sb2-monitor: CFLAGS := $(CFLAGS) -Wall -W -Werror \
@@ -25,7 +25,7 @@
 		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
 		-I$(SRCDIR)/include
 
-$(D)/sb2-interp-wrapper: preload/libsb2.$(SHLIBEXT) $(D)/sb2-interp-wrapper.o
+$(D)/sb2-interp-wrapper: $(D)/sb2-interp-wrapper.o preload/libsb2.$(SHLIBEXT)
 	$(MKOUTPUTDIR)
 	$(P)LD
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl
