=== debian/changelog ===
scratchbox2 (2.2.2-2ubuntu1) oneiric; urgency=low

  * Changed the ordering of libs in the Makefile in utils folder to fix 
    FTBFS with ld --as-needed (LP: #803195).

 -- Nigel Babu <nigelbabu@ubuntu.com>  Tue, 21 Jun 2011 21:51:56 +0530

scratchbox2 (2.2.2-2) unstable; urgency=low

  * Added options -g and -G to sb2 (Lauri T. Aarnio)
  * "devel" and "accel" modes map /var/tmp to a session-specific
    tmp.dir (Lauri)
  * Fixed a bug in sb2-monitor (Lauri)
  * Minor fixes to "README" (Lauri)
  * Fixed a bug in sb2-config-debian (Karol Lewandowski)

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 29 Mar 2011 12:27:00 +0300

scratchbox2 (2.2.1-1) unstable; urgency=low

  * Six bugfixes; three from Rafal Krypa and three from Karol Lewandowski

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 18 Feb 2011 19:52:00 +0200

scratchbox2 (2.2.0-1) unstable; urgency=low

  * scratchbox 2.2 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 31 Dec 2010 17:00:00 +0200

scratchbox2 (2.2rc3-1) unstable; urgency=low

  * "accel" mode: More rules for /usr/bin/perl, /usr/bin/python and
    related tools. These are now mapped to tools_root if the tool does
    not exist in target_root.

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Dec 2010 12:56:00 +0200

scratchbox2 (2.2rc2-1) unstable; urgency=low

  * Manual pages were updated (by Lauri Aarnio)
  * new option -f for sb2 (by Rafal Krypa)
  * made $SSH_AUTH_SOCK available in "emulate" mode (Karol Lewandowski)
  * bugfixes: session setup (Michael Trimarchi),
    fix for amd64 targets (Karol Lewandowski)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 20 Dec 2010 20:21:00 +0200

scratchbox2 (2.2rc1-1) unstable; urgency=low

  [ Lauri Aarnio ]
  * One new feature: sb2-logz can create process and exec diagrams
    (graphs); execute "sb2-logz -h" for details.
  * external_patches: patches for eglibc2.10 are available now
    (see external_patches/README)
  * Fix: Better protection of "errno" in certain situations
  * Fixes to CPU transparency method handling: Consistency checks,
    and options can now be passed to the transparency method (e.g. qemu)
  * Fix to toolchain (gcc) config: Fixed detection of 
    -Wno-poison-system-directories
  * other, minor bugfixes were included as well.

  [ Mike McCormack ]
  * Fix: Added wrappers for mkstemps64() and mkstemps() (this fixes mapping
    of tmp.files created by mkstemps(); at least some newer versions 
    of gcc use it)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 13 Dec 2010 14:39:00 +0200

scratchbox2 (2.1-1) unstable; urgency=low

  * scratchbox 2.1 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 18 Jun 2010 15:42:55 +0300
