=== debian/control ===
Source: scratchbox2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
Section: utils
Priority: extra
Standards-Version: 3.8.0
Build-Depends: debhelper (>=5), autoconf, gcc-multilib [amd64] | gcc-4.1 (<< 4.1.2) [amd64],
 libc6-dev-i386 [amd64] | ia32-libs (>= 1.19) [amd64]
XS-Vcs-Git: git://anongit.freedesktop.org/git/sbox2
XS-Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git
Homepage: http://www.freedesktop.org/wiki/Software/sbox2

Package: scratchbox2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}, libsb2 (= ${binary:Version}), fakeroot, realpath
Recommends: qemu
Suggests: sbrsh
Description: Transparent cross compiling environment
 Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
 environment. Scratchbox2 automatically maps file system accesses to
 crosscompiler, target libraries and headers using a flexible lua path mapping
 engine. Together with CPU transparency, provided by qemu or sbrsh, scratchbox2
 enables fast crosscompiling without modifying build scripts.
 .

Package: libsb2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}
Replaces: scratchbox2 (<= 1.99.0.31-2)
Description: Scratchbox2 libraries
 This package contains sole Scratchbox2 libraries that can be
 used from inside target filesystem.
