=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh_fixperms -a
 	# FIXME, do in postinst
 	dh_installdeb -a
-	dh_shlibdeps -Llibsb2 -l/usr/lib/libsb2 -- --ignore-missing-info
+	dh_shlibdeps -Llibsb2 -l/usr/lib/libsb2
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
