## scratchbox2 2.2.3-1debian1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CC = gcc
 CXX = g++
 LD = ld
-PACKAGE_VERSION = 2.2.2
+PACKAGE_VERSION = 2.2.3
 
 ifeq ($(shell if [ -d $(SRCDIR)/.git ]; then echo y; fi),y)
 GIT_PV_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" $(PACKAGE_VERSION) -- 2>/dev/null)
