=== debian/changelog ===
scratchbox2 (2.2.3-1debian1) unstable; urgency=low

  * Add more recommends
  * Fix FTBFS wth ld --as-needed, closes: #632103
  * Fix bashism, closes: #547762

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 12 Jul 2011 10:41:38 +0300

scratchbox2 (2.2.3-1) unstable; urgency=low

  * A maintenance release: Backported 10 patches/fixes
    from the 2.3_development branch [4 from Rafal Krypa,
    2 from Karol Lewandowski and 4 from Lauri Aarnio]

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 12 May 2011 15:23:00 +0300
