=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scratchbox2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Section: utils
 Priority: extra
 Standards-Version: 3.8.0
@@ -13,7 +12,7 @@
 Package: scratchbox2
 Architecture: i386 amd64 powerpc ia64
 Depends: ${shlibs:Depends}, libsb2 (= ${binary:Version}), fakeroot, realpath
-Recommends: qemu
+Recommends: qemu-user, build-essential, wget
 Suggests: sbrsh
 Description: Transparent cross compiling environment
  Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
@@ -26,7 +25,7 @@
 Package: libsb2
 Architecture: i386 amd64 powerpc ia64
 Depends: ${shlibs:Depends}
-Replaces: scratchbox2 (<= 1.99.0.31-2)
+Replaces: scratchbox2 (<= 2.2.2-3)
 Description: Scratchbox2 libraries
  This package contains sole Scratchbox2 libraries that can be
  used from inside target filesystem.
