=== preload/Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
-objs := wrappers.o libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o \
-	fdpathdb.o procfs.o mempcpy.o
+objs := wrappers.o privatewrappers.o \
+	libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o \
+	network.o \
+	execgates.o \
+	miscgates.o \
+	tmpnamegates.o \
+	fdpathdb.o procfs.o mempcpy.o \
+	system.o
 
 ifeq ($(shell uname -s),Linux)
 LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
-		-Wl,--retain-symbols-file=preload/ldexportlist
+		-Wl,--version-script=preload/export.map
 
 # DO NOT add any libraries that depend on libpthread to
 # LIBSB2_LIBS or LIBS!! see the comments in luaif.c.
@@ -33,8 +39,17 @@
 	$(Q)$(SRCDIR)/preload/gen-interface.pl \
 		-W preload/wrappers.c \
 		-E preload/exported.h \
-		-L preload/ldexportlist \
+		-M preload/export.map \
 		<$(SRCDIR)/preload/interface.master
+
+$(D)/privatewrappers.h: preload/privatewrappers.c
+$(D)/privatewrappers.c: preload/interface.private preload/gen-interface.pl
+	$(MKOUTPUTDIR)
+	$(P)PERL
+	$(Q)$(SRCDIR)/preload/gen-interface.pl \
+		-W preload/privatewrappers.c \
+		-E preload/privatewrappers.h \
+		<$(SRCDIR)/preload/interface.private
 
 generated := preload/wrappers.c preload/exported.h preload/ldexportlist
 .PRECIOUS: $(generated)
