=== debian/changelog ===
scratchbox2 (2.2.4-1debian1) unstable; urgency=low

  * Update debian packaging for new upstream release
  * New co-maintainer

 -- Jussi Hakala <jussi.hakala@iki.fi>  Tue, 24 Apr 2012 14:20:51 +0300

scratchbox2 (2.2.4-1) unstable; urgency=low

  [ Rafal Krypa and Mike McCormack ]
  * Add support for "cpu transparency" for native architecture,
    to be able to safely run statically linked native binaries.
  * fixes and enhancements, including a patch for ld.so:
    fix --rpath-prefix patches to correctly support "$ORIGIN" in rpath.
  [ Riku Voipio ]
  * Updated debian/control, fiex wrappers/gdb
  [ Nigel Babu ]
  * Fixes for building for Ubuntu
  [ Lauri Aarnio ]
  * Added wrappers for following functions: execvpe(), mkostemp(),
    mkostemp64(), mkostemps(), mkostemps64(), accept4(), dup3()
    (these were merged from the 2.3_development branch)
  * Minor fixes to sb2(1), the manual page

 -- Lauri T. Aarnio <lauri.aarnio@iki.fi>  Sun, 01 Apr 2012 17:49:00 +0300
