=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: scratchbox2
 Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Uploaders: Jussi Hakala <jussi.hakala@iki.fi>
 Section: utils
 Priority: extra
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>=5), autoconf, gcc-multilib [amd64] | gcc-4.1 (<< 4.1.2) [amd64],
  libc6-dev-i386 [amd64] | ia32-libs (>= 1.19) [amd64]
-XS-Vcs-Git: git://anongit.freedesktop.org/git/sbox2
-XS-Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git
-Homepage: http://www.freedesktop.org/wiki/Software/sbox2
+XS-Vcs-Git: git://gitorious.org/scratchbox2/scratchbox2.git
+XS-Vcs-Browser: http://maemo.gitorious.org/scratchbox2/scratchbox2/trees/master
+Homepage: http://maemo.gitorious.org/scratchbox2
 
 Package: scratchbox2
 Architecture: i386 amd64 powerpc ia64
